/*
Theme Name: GeneratePress Child
Theme URI: https://generatepress.com
Template: generatepress
Author: Principios Interactivos
Author URI: https://principiosactivos.com/
Version: 3.3.37
Updated: 2023-08-02 11:45:16
*/

/* :root */
:root {
    --primary-color: #000;
	--secondary-color: #c58369;
	--white-color: #fff;
	--black-color: #000;
	--gray-color: #b9b9b9;
	--gray-color-2: #e2e1e1;
	/*--footer-color: #1c1c1c;*/
	--font-family-1: 'Playfair Display', sans-serif;
	--font-family-2: 'Roboto', sans-serif;
}
/* END - :root */


/* Titles */
h2, h3, h4, h5, h6 {
	font-family: var(--font-family-1) !important;
	font-weight: 500 !important;
}

h1 {
	font-size: 2.5em !important;
	line-height: 1.3 !important;
	font-weight: normal !important;
	color: var(--primary-color) !important;
	font-family: var(--font-family-1) !important;
}

.title-white h1, .title-white h2, .title-white h3 {
	color: var(--white-color) !important;
}

.text-white p {
	color: var(--white-color) !important;
}

h2 {
	font-size: 2em !important;
    line-height: 1.2 !important;
	color: var(--title-color) !important;
}

@media (max-width: 768px) {
	h1 {
		font-size: 1.8em !important;
	}
	
	h2 {
		font-size: 1.4em !important;
	}
}

h2 a {
	border-bottom: 0 !important;
}

h3 {
	font-size: 1.5em !important;
	line-height: 1.3 !important;
	color: var(--title-color) !important;
}

.h2-smaller-font-size h2 {
	font-size: 1.3em !important;
}
/* END - Titles */


/* General styles */
body {
	background-color: var(--white-color);
}

body, p {
	font-family: var(--font-family-2) !important;
}

body, button, input, select, textarea {
	font-size: 17px;
}

a, a:hover, a:focus, a:active {
	color: var(--title-color);
}

.page .entry-content > div section:first-child {
	margin-top: 75px;
}
/* END - General styles */	
	

/* Main menu */
/*@media (max-width: 1024px) {
	.site-header .header-image {
		width: 200px;
	}
	
	.inside-header {
		padding: 0 20px;
	}
	
	.mobile-menu-control-wrapper .menu-toggle,
	button.menu-toggle:active,
	button.menu-toggle:focus, 
	button.menu-toggle:hover {
		padding-right: 0;
		background-color: transparent !important;
	}
}

@media (min-width: 1024px) {
	.inside-header {
		padding: 14px 40px;
	}
}*/

#masthead {
    right: 0;
    left: 0;
    z-index: 15;
	position: fixed !important;
    background-color: var(--white-color);
    box-shadow: rgb(0 0 0 / 13%) 0 3px 9px;
}

#masthead .inside-header {
	height: 75px;
	padding-top: 10px;
    padding-bottom: 10px;
}

#masthead a {
	font-family: var(--font-family-2) !important;
}

#masthead .hfe-site-logo-img {
	height: 50px;
	width: 144px;
}

#masthead .main-navigation .main-nav ul li[class*="current-menu-"] > a,
#masthead .main-navigation .main-nav ul li:not([class*="current-menu-"]):hover > a {
	color: var(--primary-color) !important;
	font-weight: 600;
}

#masthead .main-navigation ul ul {
    background-color: var(--white-color) !important;
}

#masthead .main-navigation.sub-menu-left ul ul {
	box-shadow: none;
}

@media (max-width: 1024px) {
	#masthead .inside-header {
		padding-right: 0;
		padding-left: 0;
	}
	
	.site-header .header-image {
		padding-left: 15px;
	}
	
	.mobile-menu-control-wrapper .menu-toggle {
		padding-right: 15px;
		background: transparent;
	}
	
	.has-inline-mobile-toggle #site-navigation.toggled {
		margin-top: 0;
		background-color: var(--white-color) !important;
	}
	
	.main-navigation.toggled .menu-item-has-children .dropdown-menu-toggle {
		float: none;
	}
	
	#masthead .eael-nav-menu-wrapper ul.eael-simple-menu {
		margin-top: 20px;
	}
	
	#masthead .eael-nav-menu-wrapper li a {
		text-align: center;
	}
}

@media (min-width: 769px) and (max-width: 1069px) {
	.site-header .header-image {
		width: 110px;
	}
	
	.main-navigation .main-nav ul li a {
		padding-left: 10px;
		padding-right: 10px;
		line-height: 60px;
	}
	
	#site-navigation a {
		font-size: 13px;
	}
}

/*.main-navigation .inside-navigation {
	background-color: var(--white-color);
}

.main-navigation .main-nav ul li a {
	font-size: 0.8em;
	font-weight: 500;
	padding-left: 10px;
    padding-right: 10px;
	text-transform: uppercase;
}

.main-navigation .main-nav ul li a > svg {
	margin-top: 4px;
    margin-bottom: -4px;
}

.main-navigation .main-nav ul li[class*="current-menu-"] > a,
.main-navigation .main-nav ul li[class*="current-menu-"] > a:hover,
.main-navigation .main-nav ul li:not([class*="current-menu-"]):hover > a {
	color: var(--title-color) !important;
}

.menu-item-has-children .dropdown-menu-toggle {
	padding-right: 10px;
    padding-left: 5px;
}

.main-navigation ul ul {
	background-color: var(--white-color) !important;
}*/
/* END - Main menu */


/* Buttons */
.primary-button-comp,
.primary-button a,
.secondary-button a,
.contact-form input[type="submit"],
.google-reviews-home .ti-header-write-btn-container a {
	/*height: 53px;*/
    line-height: 53px !important;
	font-weight: 400 !important;
    padding: 0 17px !important;
	letter-spacing: 2px;
	text-transform: uppercase;
	border-radius: 0 !important;
	font-family: var(--font-family-2) !important;
}

.primary-button-comp,
.primary-button a,
.contact-form input[type="submit"] {
	border: 1px solid #b9b9b9 !important;
	color: var(--black-color) !important;
	background-color: var(--white-color) !important;
}

.primary-button-comp:hover,
.primary-button a:hover,
.contact-form input:hover[type="submit"] {
	color: var(--white-color) !important;
	background-color: var(--black-color) !important;
}

.secondary-button a,
.google-reviews-home .ti-header-write-btn-container a {
	color: var(--white-color) !important;
	background-color: var(--primary-color) !important;
	border: 1px solid var(--white-color) !important;
}

.secondary-button a:hover,
.google-reviews-home .ti-header-write-btn-container a:hover {
	color: var(--primary-color) !important;
	background-color: var(--white-color) !important;
	border: 1px solid var(--primary-color) !important;
}

.tertiary-button a {
	font-size: 1.4em !important;
    line-height: 1.4 !important;
    border-radius: 54px 0 0 54px;
}

.tertiary-button a .cretive-button-text {
	font-weight: 400 !important;
	font-family: var(--font-family-1) !important;
}
	
.tertiary-button a .cretive-button-text span {
	display: block;
	color: #8f8f8f;
}

html .ti-widget.ti-goog .ti-header-write-btn-container .ti-header-write-btn{
	color:white !important;
}

/* END - Buttons */


/* Home - Banner */
.banner-home h1 {
	color: var(--white-color) !important;
}

.banner-home h1 span {
	display: block;
	font-size: 0.6em !important;
}

.banner-home a.elementor-button-link {
	width: 100%;
}
/* END - Home - Banner */


/* Home - Destacados */
@media (min-width: 1025px) and (max-width:1129px) {
	.dest-puigsoler .dest-ps .elementor-widget-container {
		height: 345px;
	}
}

@media (min-width: 1130px) {
	.dest-puigsoler .dest-ps .elementor-widget-container {
		height: 270px;
	}
}
/* END - Home - Destacados */


/* Home - Servicios */
@media (min-width: 1025px) {
	.servicios-puigsoler .texto-servicios {
		height: 315px;
	}
}

@media (min-width: 1103px) {
	.servicios-puigsoler .texto-servicios {
		height: 270px;
	}
}

.servicios-puigsoler a {
	width: 70%;
}
/* END - Home - Servicios */


/* Home - Composición ventana y puerta */
.comp-ventana-puerta .elementor-widget-toggle .elementor-tab-title {
	padding: 15px 0;
}

.comp-ventana-puerta .elementor-widget-toggle .elementor-tab-title,
.comp-ventana-puerta .elementor-widget-toggle .elementor-tab-content {
	border-bottom: none;
}

.comp-ventana-puerta .elementor-widget-toggle .elementor-tab-title .elementor-toggle-title {
    font-weight: 400;
    letter-spacing: 2px;
    font-family: var(--font-family-2);
}

.comp-ventana-puerta .elementor-widget-toggle .elementor-tab-content a {
	color: var(--secondary-color);
	border-bottom: 1px solid var(--secondary-color);
}

.comp-ventana-puerta .paoc-popup-btn {
	border-radius: 0;
	padding: 0 17px;
}

.custombox-content .paoc-popup-mheading {
	font-family: var(--font-family-1);
	font-weight: 500;
}

.custombox-content .paoc-popup-content {
	font-family: var(--font-family-2);
	line-height: 1.5;
}

.custombox-content .paoc-close-popup {
	border-radius: 0;
	border: 1px solid var(--white-color);
}
/* END - Home - Composición ventana y puerta */


/* Home - Preguntas frecuentes */
.preguntas-frecuentes .elementor-toggle .elementor-tab-title {
	padding: 30px 15px;
}

.preguntas-frecuentes .elementor-toggle-item a {
	font-size: 20px;
	font-weight: normal;
	font-family: var(--font-family-1) !important;
}
/* END - Home - Preguntas frecuentes */


/* Banner General (menos home) */
.image-banner-general-pages {
	width: 100%;
	height: 400px;
	display: flex;
	position: absolute;
}

.title-banner-general-pages {
	height: 400px;
	padding-top: 460px;
	margin-bottom: 100px;
}

@media (max-width: 320px) {
	.title-banner-general-pages {
		margin-bottom: 180px;
	}
}

@media (min-width: 321px) and (max-width: 768px) {
	.title-banner-general-pages {
		margin-bottom: 100px;
	}
}

@media (min-width: 426px) and (max-width: 768px) {
	.title-banner-general-pages {
		margin-bottom: 150px;
	}
}

@media (min-width: 769px) {	
	.title-banner-general-pages {
		padding-top: 200px;
	}
	
	.title-banner-general-pages .title-banner {
		margin: 0% 50% 0% 10%;
	}
	
	.title-banner-general-pages .title-banner h1 {
		padding: 40px 20px;
	}
}

@media (max-width: 768px) {
	.title-banner-general-pages .title-banner h1 {
		padding: 15px;
	}
}

.title-banner-general-pages .title-banner h1 {
	background-color: var(--black-color);
}
/* END - Banner General (menos home) */


/* Página General Ventanas */
.tipos-ventanas-btn a {
	width: 100%;
	border-radius: 0;
}

.tipos-ventanas-btn .creative-button-inner {
	flex-direction: column;
}

.tipos-ventanas-btn .creative-button-inner .cretive-button-text {
	margin-bottom: 20px;
}

.tipos-ventanas-content .elementor-toggle .elementor-tab-title {
	padding: 30px 15px;
}

.tipos-ventanas-content .elementor-toggle-item a {
	font-size: 20px;
	font-weight: normal;
	font-family: var(--font-family-1) !important;
}
/* END - Página General Ventanas */


/* Tabla precios */
.tabla-precios .icon-svg-large svg,
.tabla-precios .icon-svg-small svg {
	height: 40px;
}

.tabla-precios .tabla-precios-gama-basica .icon-svg-small .elementor-icon {
	color: #628a45;
}

.tabla-precios .tabla-precios-gama-basica svg .cls-1,
.tabla-precios .tabla-precios-gama-basica .icon-svg-small .elementor-icon {
	fill: #628a45;
}

.tabla-precios .tabla-precios-gama-basica svg .cls-2 {
	fill: #dce7b0;
}

.tabla-precios .tabla-precios-gama-media svg .cls-1,
.tabla-precios .tabla-precios-gama-media .icon-svg-small .elementor-icon {
	fill: #8a8046;
}

.tabla-precios .tabla-precios-gama-media svg .cls-2 {
	fill: #d7d1af;
}

.tabla-precios .tabla-precios-gama-extra svg .cls-1,
.tabla-precios .tabla-precios-gama-extra .icon-svg-small .elementor-icon {
	fill: #4f649a;
}

.tabla-precios .tabla-precios-gama-extra svg .cls-2 {
	fill: #c6d5e7;
}

.tabla-precios .tabla-precios-gama-full svg .cls-1,
.tabla-precios .tabla-precios-gama-full .icon-svg-small .elementor-icon {
	fill: #8a465c;
}

.tabla-precios .tabla-precios-gama-full svg .cls-2 {
	fill: #e0cccc;
}
/* END - Tabla precios */


/* Contact form */
.contact-form .contact-form-columns {
	width: 100%;
    display: flex;
	justify-content: space-between;
}

.contact-form .contact-form-column {
	width: 49%;
}

@media (max-width: 768px) {
	.contact-form .contact-form-columns {
    	display: block;
	}
	.contact-form .contact-form-column {
		width: 100%;
		margin-bottom: 1.5em;
	}
}

.contact-form .contact-form-one-column input[type="text"] {
	width: 100%;
}

.contact-form textarea {
	height: 100px;
}

.contact-form .contact-form-columns,
.contact-form .contact-form-one-column {
	margin-bottom: 1.5em;
}

.contact-form input[type="text"],
.contact-form input[type="tel"],
.contact-form input[type="email"],
.contact-form textarea {
    color: var(--black-color) !important;
	border-color: var(--gray-color) !important;
    background-color: var(--white-color) !important;
	border-radius: 0 !important;
}

.contact-form .wpcf7-list-item {
	margin: 0;
}

.contact-form .wpcf7-list-item input {
	height: 15px;
    width: 15px;
	margin-right: 10px;
}

.contact-form .wpcf7-list-item {
	display: block;
}

.contact-form .wpcf7-list-item input[type="checkbox" i] {
	background-color: var(--primary-color) !important;
}

.contact-form .recaptcha-google-terms {
	font-size: 0.9rem;
}

.wpcf7 form .wpcf7-response-output {
    margin: 0;
    padding: 0;
    border: 0;
    color: #dc3232;
}
/* END - Contact form */


/* Página BLOG */
.page-id-1821 h2, .page-id-2212 h2 {
	font-size: 24px !important;
}

.page-id-1821 .bm-masonry-wrapper, .page-id-2212 .bm-masonry-wrapper {
	height: 270px;
}

.single-post .byline,
.single-post .cat-links {
	display: none;
}
/* END - Página BLOG */


/* Páginas de políticas */
.page-id-1202 .site-main, .page-id-1204 .site-main, .page-id-1207 .site-main,
.page-id-2242 .site-main, .page-id-2245 .site-main, .page-id-2250 .site-main {
	margin-top: 100px;
}
/* END - Páginas de políticas */


/* Página Error 404 */
@media (max-width: 768px) {
	.error404 .site-main {
		margin-top: 40px;
	}
}

@media (min-width: 769px) {
	.error404 .site-main {
		margin-top: 100px;
	}
}
/* END - Página Error 404 */


/* reCaptcha v3 */
.grecaptcha-badge {
    display: none;
}
/* END - reCaptcha v3 */


/* Tipografías */
@font-face {
	font-family: Playfair Display;
	src: url(https://puigsoler.com/wp-content/themes/generatepress-child/fonts/PlayfairDisplay-Regular.ttf);
	font-weight: normal;
}

@font-face {
	font-family: Roboto;
	src: url(https://puigsoler.com/wp-content/themes/generatepress-child/fonts/Roboto-Regular.ttf);
	font-weight: normal;
}
/* END - Tipografías */


.blog-grid {
        display: grid;
        grid-template-columns: 1fr;
        gap: 30px;
        margin-bottom: 40px;
    }
    
    .blog-grid-item {
        background: #eee;
        border-radius: 0px;
        overflow: hidden;
        transition: transform 0.3s ease, box-shadow 0.3s ease;
    }
    
    .blog-grid-item:hover {
        transform: translateY(-5px);
    }
    
    .blog-grid-thumbnail {
        position: relative;
        overflow: hidden;
    }
    
    .blog-grid-thumbnail img.blog-grid-image {
        width: 100%;
        height: 200px;
        object-fit: cover;
        transition: transform 0.3s ease;
    }
    
    .blog-grid-item:hover .blog-grid-image {
        transform: scale(1.05);
    }
    
    .blog-grid-content {
        padding: 20px;
    }
    
    .blog-grid-title {
        margin: 0 0 15px 0;
        font-size: 1.2em;
        line-height: 1.3;
    }
    
    .blog-grid-title a {
        color: #333;
        text-decoration: none;
    }
    
    .blog-grid-title a:hover {
        color: #c58369;
    }
    
    .blog-grid-excerpt {
        color: #666;
        margin-bottom: 15px;
        line-height: 1.6;
    }
    
    .blog-grid-date {
        color: black;
        font-size: 0.9em;
    }
    
    .blog-grid-pagination {
        text-align: center;
    }
    
    .blog-grid-pagination .page-numbers {
        display: inline-flex;
        padding: 4px 16px;
        margin: 0 5px;
        text-decoration: none;
        color: #333;
		list-style:none;
		border-radius:4px;
    }
		
		.blog-grid-pagination .page-numbers li{
			list-style:none;
		}
		
		.blog-grid-pagination .page-numbers li a{
			list-style:none;
			border:1px solid #616161 !important;
			border-color:#616161;
			border-radius:4px;
		}
    
    .blog-grid-pagination .page-numbers.current {
        background: #616161;
        color: #fff;
        border:1px solid #616161 !important;
    }
    
    .blog-grid-pagination .page-numbers li:hover:not(.current) a {
        background: #616161 !important;
        color: white !important;
        border:1px solid #616161 !important;background: transparent;
    }
    
    /* Responsive */
    @media (min-width: 700px) {
        .blog-grid {
            grid-template-columns: repeat(2, 1fr);
        }
    }
    
    @media (min-width: 980px) {
        .blog-grid {
            grid-template-columns: repeat(3, 1fr);
        }
        
        .blog-grid-thumbnail img.blog-grid-image {
            height: 200px !important;
        }
    }
    
    @media (min-width: 1600px) {
        .blog-grid {
            grid-template-columns: repeat(3, 1fr);
        }
        
        .blog-grid-thumbnail img.blog-grid-image {
            height: 190px !important;
        }
    }